#include	"Types.r"

#define		MaxPassLength		8

type 'uamg'								// General UAM resource
{
	integer	VersionNumber;				// version number for resource (currently 1)			
	integer	UAMClass;					// UAM class of this UAM (1-3)
	integer	PasswordLength;				// password length (0-64)
	byte	PassDlogFlag;				// set to 1 if using standard password dialog
	byte	VolDlogFlag;				// set to 1 if using standard volume dialog
	byte	UAMType;					// UAM type ID (128-255)
	byte	UReserved;					// reserved for future expansion
};

type 'uamn' as 'STR ';					// UAM string resources


resource 'uamg' (0, "Client UAM Info")
{
	0x0002,								// version
	0x0003,								// class
	MaxPassLength,						// password length
	0x01,								// use standard password dialog
	0x01,								// use standard volume dialog
	0xB1,								// UAM type ID
	0x00								// reserved
};

resource 'uamn' (0, "UAM name")			// Name shown in UAM dialog
{
	"Sample Kleartxt UAM"
};

resource 'uamn' (1, "AFP UAM name")		// Name of AFP UAM string (matches the server UAM)
{
	"Kleartxt Passwrd"
};

resource 'uamn' (2, "UAM Description string") // Description shown in password dialog
{
	"(Kleartxt)"
};



